#include "DBDCharacter.h"
#include "EPlayerTeam.h"
#include "EPlayerRole.h"
#include "EPawnType.h"

class ADBDPlayerController;
class ADBDPlayerState;
class APlayerState;
class ADBDCharacter;

EPlayerTeam ADBDCharacter::GetPlayerTeam() const
{
	return EPlayerTeam::VE_None;
}

EPlayerRole ADBDCharacter::GetPlayerRole() const
{
	return EPlayerRole::VE_None;
}

ADBDPlayerController* ADBDCharacter::GetPlayerController() const
{
	return NULL;
}

EPawnType ADBDCharacter::GetPawnType() const
{
	return EPawnType::VE_None;
}

ADBDPlayerState* ADBDCharacter::GetDBDPlayerState() const
{
	return NULL;
}

APlayerState* ADBDCharacter::GetAssociatedPlayerState_Implementation() const
{
	return NULL;
}

ADBDCharacter* ADBDCharacter::GetAssociatedCharacter_Implementation() const
{
	return NULL;
}

ADBDCharacter::ADBDCharacter()
{

}
